Results

See more...

Download Ultrasn0w Fixer for iOS 4.3.1 to Unlock iPhone 3GS on iOS 4.3.1

After jailbreaking your iPhone 3GS on iOS 4.3.1 using PwnageTool bundles, you will find Ultrasn0w broken due to Apple ASLR security feature. DjayB6 (@DjayB6) who previously released iOS 4.3 and iOS 4.3.1 PwnageTool bundles for iPhone, iPod Touch and iPad has just released Ultrasn0w Fixer for iOS 4.3.1.

UPDATE#1: iH8sn0w has released Sn0wbreeze 2.4b1 to jailbreak iOS 4.3.1 on iPhone 4/3GS, iPod Touch 4G/3G & iPad. After jailbreaking your iPhone with Sn0wbreeze 2.4b1, you DO NOT need to install this Ultrasn0w Fixer anymore. Just follow step-by-step guide here to jailbreak iOS 4.3.1 on your iPhone using Sn0wbreeze 2.4b1 and use this guide to unlock your iPhone using Ultrasn0w 1.2.

UPDATE#2: If for some reason, the fixer by DjayB6 is not working for you, iH8sn0w has released his own Ultrasn0w fixer which works for iPhone 4 and iPhone 3GS users. Get it from here.

Supported Basebands:

  • iPhone OS 3.0 ~ 04.26.08
  • iPhone OS 3.1 ~ 05.11.07
  • iPhone OS 3.1.2 ~ 05.11.07
  • iPhone OS 3.1.3 ~ 05.12.01
  • iOS 4.0 ~ 05.13.04
  • iOS 4.0.1 ~ 05.13.04
  • iOS 4.0.2 ~ 05.13.04
  • iOS 4.1 ~ 05.14.02 via 06.15.00
  • iOS 4.2 ~ 05.15.04 via 06.15.00
  • iOS 4.2.1 ~ 05.15.04 via 06.15.00
  • iOS 4.3 ~ 05.16.01 via 06.15.00

In order to use Ultrasn0w Fixer for iOS 4.3.1, you must jailbreak your iPhone using DjayB6's PwnageTool bundles. To jailbreak iOS 4.3.1 on iPhone 3GS using PwnageTool bundles, follow this guide.
iPhone 3GS Unlocked on iOS 4.3.1 Download Ultrasn0w Fixer for iOS 4.3.1 to Unlock iPhone 3GS on iOS 4.3.1

Steps to Install Ultrasn0w Fixer on iOS 4.3.1:

Before installing Ultrasn0w Fixer, you must install Ultrasn0w from its official repo. Follow step-by-step guide here to install Ultrasn0w 1.2 on your jailbroken iPhone using Cydia. Once Ultrasn0w has been installed, use the guide below to install Ultrasn0w Fixer from DJayB6 repo:

  1. Open Cydia app on your jailbroken iPhone.
  2. Cydia Main Download Ultrasn0w Fixer for iOS 4.3.1 to Unlock iPhone 3GS on iOS 4.3.1

  3. Tap on the Manage tab at the bottom followed by a tap on Sources section.
  4. Cydia Manage Download Ultrasn0w Fixer for iOS 4.3.1 to Unlock iPhone 3GS on iOS 4.3.1

  5. Tap on the Edit button on the top-right corner followed by a tap on Add button at the top-left corner of Cydia. Enter http://djayb6.com/ as Cydia/APT URL and click on the Add Source button.
  6. DjayB6 Repo Download Ultrasn0w Fixer for iOS 4.3.1 to Unlock iPhone 3GS on iOS 4.3.1

  7. Now wait while Cydia downloads and updates its repository list.
  8. Cydia Packages Download Ultrasn0w Fixer for iOS 4.3.1 to Unlock iPhone 3GS on iOS 4.3.1
    Cydia Repo Added Download Ultrasn0w Fixer for iOS 4.3.1 to Unlock iPhone 3GS on iOS 4.3.1

  9. Once you are done with adding Ultrasn0w repo, tap on the Search tab at the bottom and type Ultrasn0w Fixer in the search field.
  10. Cydia Ultrasn0w Fixer Download Ultrasn0w Fixer for iOS 4.3.1 to Unlock iPhone 3GS on iOS 4.3.1

  11. Tap on Install button on the top-right to install Ultrasn0w Fixer on your device.
  12. Ultrasn0w Fixer Download Ultrasn0w Fixer for iOS 4.3.1 to Unlock iPhone 3GS on iOS 4.3.1

  13. Once installation is complete, enjoy your fully jailbroken and unlocked iPhone 3GS on iOS 4.3.1.

Update#1: Ultrasn0w Fixer has been updated to v1.1.0-0. Launch Cydia and grab the latest build from DjayB6 repo.

Ultrasn0w Fixer 1.1.0 0 Download Ultrasn0w Fixer for iOS 4.3.1 to Unlock iPhone 3GS on iOS 4.3.1
Update#2: Download official Ultrasn0w 1.2.1 to unlock iPhone 4/3GS & fix signal-bars issue on iOS 4.3.1.

Contact Us for News Tips, Corrections and Feedback

Related posts

27 comments
Leave a message...

  •  
    hazim2 years, 10 months ago

    hello i have 4.2.1 on 3gs bb 6.15.00 is that work ?

    •  
      Pramod2 years, 10 months ago

      You need not use / download Ultrasn0w fixer anymore. Go ahead & install Ultrans0w 1.2.4 to unlock your device.

  •  
    Rodrigo3 years, 4 months ago

    Hi there,
    I have an iphone 3GS 4.3.1 Baseband 05.16.02
    This process will unlock my one?
    Thanks
    Rodrigo.

    •  
      Pramod3 years, 4 months ago

      Hello Rodrigo,
      Unfortunately, you cannot use the ultrasn0w fixer/ultrasn0w 1.2.3 because your iPhone 3GS is on a BaseBand which is currently unlockable.

    •  
      Wolverine3 years, 4 months ago

      Yes you can unlock your iPhone 3GS by upgrading it to iPad baseband. Use this guide http://bit.ly/jF037W

      PS: Sorry for Pramod answer!

  •  
    Tejas Patel3 years, 5 months ago

    Hi
    Thanks
    I have ulocked iphone 3gs 4.3.2 with 5.16.00 baseband. My gps is not working.

    I downloaded TOMTOM but it is always showing poor GPS signal. May be not working now onwards.
    Before I restored it, I had silly problem that when i call someone and i end my call after talking, my carrier remains in searching mode for 1 minute and then come back. This occur for almost all incoming and outgoing call. I got this problem few weeks back and then i restored it and then unlocked but still it dosn’t resolve.
    Any suggestion? Thanks

    •  
      Wolverine3 years, 5 months ago

      Lol, what is TOMTOM? Also i never heard of any iPhone baseband 5.16.00? You mean 06.15.00? Also have you installed official Ultrasn0w 1.2.2 http://bit.ly/hONma9 or you used the unofficial fixer?

  •  
    Cooley3 years, 6 months ago

    Jaxov, you the man. Thought I had toast my 3GS with 4.3.1 but the fixer is really as it goes.

    Appreciate.

  •  
    Desmond3 years, 6 months ago

    As of 4/7/11 the latest version of Sn0wbreeze didn’t work for me. I jailbroke my iphone 3gs 4.3.1 with Redsn0w 0.9.6rc9 and installed the ipad baseband 06.15.00 for windows then installed ultrasn0w and used the fix from here and everything works great. I have upgraded to the ipad baseband on 2 different 3g phone and my 3gs and never lost gps using Redsn0w.

    •  
      Maverick3 years, 6 months ago

      I am not sure but i think those iPhone 3GS users who try to upgrade from 05.16.01 or 05.16.02 to iPad baseband manage to save their GPS. Correct me if i am wrong?

      •  
        Desmond3 years, 6 months ago

        I don’t know but I did have 5.16.01

        •  
          Maverick3 years, 6 months ago

          Yeah, i have read almost over 10 comments at Jaxov from the the people who managed to save their GPS even after upgrading to iPad baseband. Almost all of them were running either 05.16.01 or 05.16.02 baseband. Those who try to upgrade 05.15.xx lose their GPS i think!

  •  
    Mohammad3 years, 6 months ago

    Thanks A lot. it worked fine

  •  
    Palmi3 years, 7 months ago

    Any news on a unlock for 05.15.04 on 3GS new bootrom? Don’t want to loose my gps and I will be moving from the states in June, fingers crossed!

    •  
      Wolverine3 years, 7 months ago

      Hopefully before June, Dev-Team will sort out their NCK unlock method. Stay tuned!

      •  
        Andreas3 years, 7 months ago

        And what about downgrading the 06.15 baseband???

        •  
          Wolverine3 years, 7 months ago

          As promised by MuscleNerd, downgrade method will be coming soon after iPhone 4 unlock.

          •  
            Palmi3 years, 7 months ago

            So you think it is okay for me to unlock it on the iPad baseband (is currently on 05.15.04), the downgrade is definitely coming? I won’t need the GPS for now, but I don’t want to loose it for life.

          •  
            Wolverine3 years, 7 months ago

            Downgrade is not coming anytime soon. Probably after another 5 to 6 months. Rest of the choice is yours!

          •  
            Palmi3 years, 7 months ago

            Which do you think comes first the downgrade or a way to unlock 05.15.04 ?
            Thanks for the quick responses! :)

          •  
            Wolverine3 years, 7 months ago

            First thing which will come within next 2-3 months is iPhone 4 unlock which will be based on NCK trick. Hopefully this NCK trick will be valid for iPhone 3GS 05.15.04 bb as well. So chances are 05.15.04 bb unlock will come first.

  •  
    Andreas3 years, 7 months ago

    iPhone 3gs new bootrom jailbreaked 4.3.1 installed Ultrasn0w and Ultrasn0w fixer and i get no service! any ideas?

    •  
      Wolverine3 years, 7 months ago

      What is your current baseband?

      •  
        Andreas3 years, 7 months ago

        Updated to 06.15 iPad baseband

        •  
          Wolverine3 years, 7 months ago

          It should work. I tried it on my iPhone 3GS and its working fine. May be you should wait for iH8sn0w’s next Sn0wbreeze beta which will support iOS 4.3.1.

          •  
            Andreas3 years, 7 months ago

            Untethered jailbreak on the new iOS?

          •  
            Wolverine3 years, 7 months ago

            It is tethered jailbreak for all iDevices except iPhone 3GS (Old Bootrom). Click here to download Sn0wbreeze 2.4b1 from iH8sn0w’s website and use this guide to create iOS 4.3.1 custom IPSW for your iPhone.